Uses of Package
com.eqixiac.equinix.iam.client.internal
Packages that use com.eqixiac.equinix.iam.client.internal
-
Classes in com.eqixiac.equinix.iam.client.internal used by com.eqixiac.equinix.iam.client.internal.implementationClassDescriptionInternal client for project-scoped IAM access policies and their grants (
/v1/projects/{projectId}/accessPolicies).Internal client for the IAM effective-permissions resolution:GET /v1/projects/{projectId}/effectivePermissions(operationIdgetEffectivePermissions).Internal client for project-scoped IAM permission sets (/v1/projects/{projectId}/permissionSets).Internal client for project-scoped IAM policy masks (/v1/projects/{projectId}/policyMasks).Internal client for project-scoped IAM principal policies (/v1/projects/{projectId}/principalPolicies).Internal client for the IAM access-model discovery operations (resource types, actions, action sets, resource-type actions, and service policy schemas).Internal client for IAM role assignments:GET /v1/roleAssignments(operationIdlistRoleAssignments),POST /v1/roleAssignments(operationIdcreateRoleAssignment),GET /v1/roleAssignments/{roleAssignmentId}(operationIdgetRoleAssignment) andDELETE /v1/roleAssignments/{roleAssignmentId}(operationIddeleteRoleAssignment).Internal client for the IAM roles catalog:GET /v1/roles(operationIdlistRoles) andGET /v1/projects/{projectId}/roles(operationIdlistRolesByProjectId).